<div class="content" role="main">
    <header style="margin: 4px;border-radius: 24px;">
        <img *ngIf="imageItem" @fade style="max-width: 100%;border-radius: 24px;" [src]=imageItem!.url>

        <img *ngIf="!imageItem && !isLoading" @fade style="max-width: 100%;border-radius: 24px;"
            src="assets/img/image_placeholder.png">

        <img *ngIf="isLoading && !imageItem" style="max-width: 100%; height: 100%;border-radius: 24px;"
            src="assets/img/image_loading.png">
    </header>
    <main>

        <section>
            <br>
            <div *ngIf="!isPicnicActionFinished" class="container col-md-12 ">
                <div *ngIf="showStyleSelector" class="mb-1">pick a style:</div>

                <div *ngIf="showStyleSelector" class="row">
                    <div class="col-xs-12 col-lg-12 text-center text-lg-end my-auto h-100">
                        <ul class="list-inline mb-0">
                            <li *ngFor="let i of styles" class="list-inline-item">
                                <img class="rounded-circle" [src]="i.src"
                                    (click)="isLoadingPicnicAction ? null : onTapSelectStyle(i)"
                                    style="width: 60px;height: 60px;margin-bottom: 4px"
                                    [ngStyle]="{'border': selectedStyle == i.name ?'4px solid rgba(120, 179, 99, 1)' : 'none',  }">
                                <p [ngStyle]="{'color': selectedStyle == i.name ?'rgba(120, 179, 99, 1)' :' rgb(51,51,51)' }"
                                    class="form-text" style="margin-bottom: 4px;">{{i.name}}</p>


                        </ul>
                    </div>
                </div>

                <br>

                <div class="row">

                    <div class="col-xs-12">
                        <div class="form-group w-100">
                            <label for="comment">{{ uploadType ? (uploadType == 'uploadCover' ? 'describe what you want your circle cover photo to look like:' : 'describe what you want your circle profile photo to look like:') : 'describe your creation:'}}</label>
                            <textarea [disabled]="isLoadingPicnicAction" [(ngModel)]="prompt" class="form-control test" rows="5"
                                id="comment"></textarea>
                        </div>

                    </div>
                </div>

                <div class="row">
                    <div class="col-xs-12  text-lg-end my-auto h-100">
                        <button [disabled]="isLoading || isLoadingPicnicAction || !selectedStyle || !prompt" (click)="onTapGenerate()"
                            class="btn w-100 btn-primary text-center" type="button"
                            style="border-radius: 1000px;height: 51px;background: rgb(150,224,124);--bs-body-font-weight: bold;font-weight: bold;border-color: rgb(150,224,124);min-width: 341px;margin-top: 20px;">
                            <div *ngIf="!isLoading && !hasGenerated" style="color: white">
                                generate
                            </div>
                            <div *ngIf="!isLoading && hasGenerated" style="color: white">
                                regenerate
                            </div>
                            <div *ngIf="isLoading" class="col d-flex justify-content-center">
                                <div class="spinner-border text-light" role="status">
                                </div>
                            </div>
                        </button>
                    </div>
                </div>

                <div *ngIf="!isLoading && hasGenerated && buttonLabel == 'post' && !noCircleSelected"  class="row" style="padding-top: 20px;">
                    <div class="row">
                        <div class="col-xs-12">
                            <div class="form-group w-100">
                                <label for="comment">add a caption to your post:</label>
                                <textarea [disabled]="isLoadingPicnicAction" [(ngModel)]="caption" class="form-control test" rows="5"
                                    id="comment"></textarea>
                            </div>
                        </div>
                    </div>
                </div>

                <div *ngIf="!isLoading && hasGenerated && (buttonLabel == uploadCircleProfileImage || buttonLabel == uploadCircleCoverImage)" class="row" style="padding-top: 20px;">
                    <div class="row">
                        <div class="col-xs-12">
                            <div class="form-group w-100">
                                <label for="comment">this will only work if you have permission to change the image</label>
                            </div>
                        </div>
                    </div>
                </div>

                <div *ngIf="!isLoading && hasGenerated" class="row">

                    <div class="col-xs-6 col-lg-12 text-lg-end my-auto h-100" *ngIf="!noCircleSelected">

                        <button [disabled]="!imageItem || isLoadingPicnicAction" (click)="uploadType != '' ? onTapUploadCircleImage() : onTapPost()"
                            class="btn btn w-100 btn-primary text-center" type="button"
                            style="border-radius: 1000px;height: 51px;background: rgb(232,194,62);--bs-body-font-weight: bold;font-weight: bold;min-width: 341px;margin-top: 20px;border-color: rgb(232,194,62);">
                            <div *ngIf="!isLoadingPicnicAction" style="color: white">
                                {{
                                    buttonLabel
                                }}
                            </div>
                            <div *ngIf="isLoadingPicnicAction" class="col d-flex justify-content-center">
                                <div class="spinner-border text-light" role="status">
                                </div>
                            </div>
                        </button>


                    </div>
                    <div *ngIf="noCircleSelected">
                      <div style="margin-top: 14px" role="status">
                        <p style="color: blue">please use this pod on a circle to make a post</p>
                      </div>
                    </div>
                </div>

                <div *ngIf="isPicnicActionError" class="col d-flex justify-content-center">

                    <div style="margin-top: 14px" role="status">
                        <p style="color: red">please try again</p>
                    </div>
                </div>
            </div>
            <div *ngIf="isPicnicActionFinished" class="d-flex flex-column align-items-center">
                <div>
                    <img style="width: 150px" src="assets/success.gif">
                </div>
                <div style="margin-top: 14px" role="status">
                    <h3>{{
                        uploadType ? (uploadType == 'uploadImage' ? 'Circle image uploaded successfully' : 'Circle cover uploaded successfully' )  : 'Post created successfully!'
                    }}</h3>
                </div>
            </div>
        </section>
    </main>


    <!-- Footer -->


</div>
